=== debian/control ===
Source: monsterz
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Barry deFreese <bdefreese@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-dev
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/games-team/monsterz.git
Vcs-Browser: https://salsa.debian.org/games-team/monsterz
Homepage: http://sam.zoy.org/monsterz/

Package: monsterz
Architecture: any
Depends:
 monsterz-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: arcade puzzle game
 Monsterz is similar to the Bejeweled, Zookeeper or Zooo games.
 The goal is to swap adjacent tiles to create alignments,
 causing chain reactions to earn more points.

Package: monsterz-data
Architecture: all
Depends:
 python3,
 python3-pygame,
 ${misc:Depends},
 ${python3:Depends}
Replaces:
 monsterz (<< 0.7.1-5)
Breaks:
 monsterz (<< 0.7.1-5)
Description: graphics and audio data for monsterz
 Monsterz is an arcade puzzle game, similar to the Bejeweled, Zookeeper
 or Zooo games. The goal is to swap adjacent tiles to create alignments,
 causing chain reactions to earn more points.
 .
 This package contains the architecture-independent data for monsterz. For
 more information, see the monsterz package.
