=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/tmp
