=== debian/watch ===
version=4

http://sam.zoy.org/monsterz/monsterz-(.*)\.tar\.gz
